commit:     8d07399f942e500e0d42daa41756625b3ecdb67e
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 13 02:12:44 2016 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Thu Oct 13 02:25:42 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d07399f

sys-process/dumb-init: add package

Package-Manager: portage-2.3.2

 sys-process/dumb-init/Manifest               |  1 +
 sys-process/dumb-init/dumb-init-1.2.0.ebuild | 28 ++++++++++++++++++++++++++++
 sys-process/dumb-init/metadata.xml           | 12 ++++++++++++
 3 files changed, 41 insertions(+)

diff --git a/sys-process/dumb-init/Manifest b/sys-process/dumb-init/Manifest
new file mode 100644
index 00000000..170bbc6
--- /dev/null
+++ b/sys-process/dumb-init/Manifest
@@ -0,0 +1 @@
+DIST dumb-init-1.2.0.tar.gz 23370 SHA256 
74486997321bd939cad2ee6af030f481d39751bc9aa0ece84ed55f864e309a3f SHA512 
07f75771014c897b2e2f4de84b88ef5b829e19df81f6cbde0372a2f30ea78237af8e5cd6ab47b0a104606ea3b85c9883b86f777bc49bc428d52a32a4ff2ddad8
 WHIRLPOOL 
77385e68de43f043b1137285cbc97d48fa59e48b9053aa0530962692832e6806ad5fcb70e161e6887adfe4dadf211b726724c3b1bc1c09a8af2af05a4c183f00

diff --git a/sys-process/dumb-init/dumb-init-1.2.0.ebuild 
b/sys-process/dumb-init/dumb-init-1.2.0.ebuild
new file mode 100644
index 00000000..47da847
--- /dev/null
+++ b/sys-process/dumb-init/dumb-init-1.2.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit flag-o-matic
+
+DESCRIPTION="A minimal init system for Linux containers"
+HOMEPAGE="https://github.com/Yelp/${PN}";
+SRC_URI="https://github.com/Yelp/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="static"
+RESTRICT="test"
+
+src_prepare() {
+       eapply_user
+       use static && append-cflags -static
+       sed -e "s|^CFLAGS=.*|CFLAGS=-std=gnu99 ${CFLAGS}|" -i Makefile || die
+}
+
+src_install() {
+       dobin ${PN}
+       dodoc README.md
+}

diff --git a/sys-process/dumb-init/metadata.xml 
b/sys-process/dumb-init/metadata.xml
new file mode 100644
index 00000000..e026c3b
--- /dev/null
+++ b/sys-process/dumb-init/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <upstream>
+               <remote-id type="github">Yelp/dumb-init</remote-id>
+               <remote-id type="pypi">dumb-init</remote-id>
+       </upstream>
+       <maintainer type="person">
+               <email>zmed...@gentoo.org</email>
+               <name>Zac Medico</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to